# PetscViewerBinaryGetInfoPointer

Extracts the file pointer for the ASCII info file associated with a binary file.

### Synopsis

    #include "petsc.h"
    PetscErrorCode  PetscViewerBinaryGetInfoPointer(PetscViewer viewer,FILE **file)

Not Collective

| viewer | - PetscViewer context, obtained from PetscViewerBinaryOpen()
| file | - file pointer

### Notes

For writable binary PetscViewers, the descriptor will only be valid for the first processor in the communicator that shares the PetscViewer.

### Fortran Note

This routine is not supported in Fortran.

### See Also

PetscViewerBinaryOpen(),PetscViewerBinaryGetDescriptor()

Level:advanced
Location: src/sys/viewer/impls/binary/binv.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages